+======================================+
   Discuz! X1.5 Release 20111221
+======================================+
FIX 修正dreferer對本地域名的判斷
FIX 修正管理員訪問加密相冊時的Ajax出錯
FIX 修改上傳附件bug
FIX 刪除影響性能的無用代碼
FIX 群主的精華帖和置頂帖 權限判斷

FIX SQL字符轉義問題
FIX 修復投票跳轉問題
FIX 修改IE9 JS兼容問題
FIX 安裝界面調整
FIX 修復 函數名錯誤

FIX 批量刪除帖子時更新主題回複數
FIX 模塊中出生城市和居住城市不能選擇的問題
FIX 截止目前發現的一些安全問題

+======================================+
   Discuz! X1.5 Release 20110817
+======================================+
FIX 關閉認證時允許修改相關的資料項
FIX 修正由於用戶在後台填寫大寫的郵箱，校驗失敗的問題
FIX 限定當選擇框中的字符串不為字母時，返回空值
FIX 修正上傳圖片需要審核時直接寫入數據庫的BUG
FIX 修正UTF-8下面提示的信息沒有策略名稱
FIX 論壇跳轉的BUG
FIX 修改field引起的SQLBUG
FIX 修正驗證碼的問題
FIX 修改支付寶簽約地址
FIX 修改默認安全設置， 禁止 msyql 當中使用註釋
FIX 修補隱含的 XSS 安全問題

+======================================+
   Discuz! X1.5 Release 20110627
+======================================+
FIX bbcode 代碼嵌套引起的解析代碼混亂
FIX 修改通過ucenter備份論壇數據bug
FIX 解決程序中沒有移除membermerage引用造成的500錯誤
FIX 修改遊客時顯示左側導航，解決錯位問題
FIX 修復刷在線時間的BUG
FIX 分頁計算錯誤
FIX 修改日誌相冊圖片的舉報日誌bug
FIX 活動帖「活動報名者管理」列表中的「查看」應為 'ctrlid'
FIX 用戶組中，群組回帖審核開關無效

+======================================+
   Discuz! X1.5 Release 20110428
+======================================+

FIX 登錄退出可刷在線時間BUG
FIX 插件機制嵌入點細節優化
FIX 會員模板過濾掉禁止發言、禁止訪問、用戶IP被禁止、遊客、等待驗證的會員
FIX 建議自動選擇用戶名默認開啟
FIX 修復活動帖子和商品帖子的模塊中圖片的尺寸問題

FIX 個人空間 -> 各個風格頂部鏈接顏色修正
FIX 增加校驗視頻認證文件
FIX 修復 referer 判斷問題
FIX 安裝的數據文件中去掉cron_birthday_daily計劃任務
FIX 解決Flash在FireFox下的跨站漏洞

FIX 退出群組時整理關注的群組
FIX 模塊縮略圖生成方式和模塊數據排序問題
FIX 用戶搜索時候的不準確問題
FIX 回收站取reason的問題，分開查詢threadmod
FIX 聚合的新數據按正確的位置排序

FIX 回收站主題管理中低性能SQL 
FIX "內容審核」項目修復
FIX 版主管理中的低性能SQL 
FIX 修改後台清理用戶bug
FIX 填寫非正常表前綴(如：pre_aaabbb)
FIX 修正模塊數據的顯示順序和調整順序

FIX 修復部分安全隱患(感謝 http://www.wooyun.org/ 提供相關資料)

+======================================+
   Discuz! X1.5 Release 20110321
+======================================+
FIX 鏈接中帶用戶名的進行rawurlencode處理
FIX 修正發日誌發文章的編輯器在 IE9 下的一些問題
FIX 帖子為從群組推到版時數據未過濾導致數據不正確
FIX 解決在有些版本MySQL中SQL報錯
FIX 修復大WORD文檔貼入日誌等編輯器，觸發saveUserdata(),時，IE下報磁盤已滿，並停止提交表單的問題

FIX 允許查看用戶全部的主題和帖子問題
FIX 修復投票選項數不到最大，但又不能編輯添加投票選項的問題。
FIX 改善了投票數達到最大時的JS提醒
FIX 群組帖子模塊多次推送同一條數據時重複入庫
FIX 沒有聚合數據時模塊原顯示數據的清除

FIX 修復DIY模塊只做數據緩存時模塊所用的模板也同時做緩存
FIX 查看投票人的分頁問題
FIX 主題合併未考慮帖子分表
FIX 更新封面時，更新相冊時間
FIX 修改出生城市展示四級聯動的BUG

FIX 排行榜取消日誌(審核狀態)的顯示
FIX 活動帖時間不考慮時區了
FIX 修改設定默認首頁的BUG
FIX 後台模塊管理數據時的JS錯誤
FIX 模塊推送數據的標題和內容的長度限制

FIX 修復1.5論壇公告按月分類無效的BUG
FIX 內存優化：只有隱藏輸出的模塊才在$_G中保存
FIX 修復x1.5 後台運行記錄版主管理，選擇日期後進行關鍵詞搜索，日期被重置的BUG
FIX 重構模塊數據更新機制的邏輯，確保在有推送數據、固定數據、修改過的源數據和新的源數據的情況下正確顯示
FIX 更改分類信息寬度設置的註解，避免誤導

FIX 群組主題分類數據庫不存數據的BUG
FIX 群組主題分類分類默認勾選啟用但不保存。
FIX 模塊數據中出現 $ \ 等特殊字符時無法顯示的問題
FIX 認證設置頁面不判斷 啟用認證 及 認證名稱的關係。
FIX 更正認證列表設置頁面的一個語言包的錯誤

FIX 修改最大懸賞值的文字提示
FIX 道具紅包清理時，訪問別人的空間，當已經領取或使用過時，導致清理「自己」空間的道具。
FIX 修復無限期勳章頒發的BUG
FIX 修復個人空間DIY時，報錯信息有誤
FIX 修復個人空間資料頁面 用戶組到期被lastsendmail強制轉換時間為1970的BUG

FIX 修復帖子優化時重複插入數據的問題
FIX 插件變量類型錯誤
FIX 模板文件不存在時直接返回false
FIX 用戶欄目某字段被設置為不可更改，但活動貼中需要改項資料時無法修改和入庫的問題
FIX 修正漫遊搜索頁面返回首頁直接返回家園首頁的問題，現在是跟後台的設置

FIX DIY模塊生成黑圖的問題
FIX 修復當設置了 「本地附件 URL 地址」 為 http:// 開頭的地址時，仍然添加本站地址造成地址拼接錯誤的問題。
FIX 在刪除用戶或其他情況下導致通知、好友請求、打招呼數不準確時修復成正確的數值
FIX 刪除相冊在本地保存的原始圖片
FIX 修復記錄的隱私設置

FIX 後台插件導入機制安全檢查

+======================================+
   Discuz! X1.5 Release 20110121
+======================================+
FIX 修改搜索本版切換成搜索論壇的問題
FIX 過濾記錄模塊中被審核中的內容
FIX 修改群主更改群組圖標的時候，setting中的緩存群組圖標不變化的問題
FIX 解決IE6下邀請只能選20個用戶的問題
FIX 修復只分配模塊權限，不分配頁面權限時無法在推送頁面顯示此模塊的問題

FIX 同步簽名問題
FIX 修正論壇積分策略全局策略中有效範圍問題
FIX 增加用戶組到期時間顯示
FIX 修正不修改密碼，只修改用戶其他資料需要重新登錄BUG
FIX 後台刪除頭像更改用戶表頭像字段

FIX 修改邀請好友有些好友沒被選中的BUG
FIX 用戶鎖定時，帖內用戶頭像，簽名，帖子內容隱藏的判斷有問題
FIX 大頁碼顯示容易使頁面變形 修改
FIX dx1.5 沒有添加廣告，但是發佈懸賞帖，帖子右邊空缺一塊
FIX chrome下的ajaxpost 的bug 
FIX 搜索不顯示隱藏版塊

FIX 美女和帥哥排行榜查詢優化
FIX 優化 t.fid IN(三萬多ID)的情況
FIX 排行榜之好友數排行慢查詢優化
FIX 收藏數使用索引

FIX 禁止積分規則設置小數點的分數值
FIX 任務週期（周、月）修正
FIX 評價文字闡述顛倒
FIX 修復變量錯誤
 
FIX 如果修改城市，則初始化已的數據
FIX 用戶清理的BUG
FIX 修改路徑解析錯語的BUG
FIX 如果沒有二級域名，判斷家園是否綁定域名，綁定域名則顯示家園的地址

FIX 處理DIY模塊數據a標籤的title值的同步
FIX 修改URL解析跨站漏洞
FIX 降低allownetworking的級別

+======================================+
   Discuz! X1.5 Release 20101228
+======================================+
FIX DIY管理模板路徑問題
FIX 修復漫遊API調用問題
FIX 修復頻道欄目權限判斷
FIX diy調用會員模塊競價排名和排行榜那裡的競價排名不一致
FIX 部分頁面的IE6兼容性

FIX 個人空間首頁獲取到的空間域名錯誤的BUG
FIX 後台批量移動相冊分類問題
FIX 導出csv文件時，如果不是gbk就轉換成ＧＢＫ編碼 X1.5
FIX 去掉「群組成員數」統計
FIX 回帖的允許查看主題權限判斷

FIX 群組中只允許一級置頂
FIX 鎖定用戶後漫遊搜索還能搜索到的BUG
FIX 草稿不受編輯期限的限制
FIX 帶進訪問推廣的參數
FIX GP變量 filname 中的一處 單引號過濾

FIX 回帖的是否顯示相關的兩個字段的處理:status和invisible
FIX 快速回帖 flash 的問題
FIX 裝扮空間中的音樂盒無法刪除
FIX 修復分類信息審核中不顯示
FIX groupicon 緩存
 
FIX 收費附件中 free 和 hide 組合下的問題
FIX 修復 DIY導入script大寫時執行的問題
FIX 用戶欄目中的星座生肖自動計算的問題
FIX {parity}標籤的解析
FIX 管理員在編輯會員已經發佈成功的日誌頁面，無法返回上一頁bug修改
 
FIX 會員隱身的情況下，個人資料和名片頁還顯示在線bug修改
FIX 群組名含引號時不能編輯的問題
FIX 鏈接裡帶「@」符號以及帶參數的鏈接　站外ＵＲＬ相關正則匹配問題
FIX 多次操作屏蔽、警告時PID重複的問題
FIX 新建版塊有繼承時，處理主題分類

FIX 編輯被移動題帖時，同步保留的轉向的標題（包括群組推薦到論壇的帖子）
FIX 活動帖過期時間問題
FIX 升級後聯繫方式問題
FIX 允許管理員修改禁止修改的用戶資料項
FIX 模塊屬性設置不更新時永不更新 x.15無此功能

FIX 任務週期（周、月）的判斷錯誤
FIX 增加限制條件去掉無效的表態數據
FIX 當漫遊中應用變更版本號時，重新獲取應用圖標
FIX 支付寶的返回通知接口更新
FIX viewthread翻頁中多餘的參數

+======================================+
   Discuz! X1.5 Release 20101125
+======================================+
FIX 清理每月在線時間計劃任務
FIX 個人分煩沒有執行Ajax更新的BUG
FIX 高級搜索帶鏈接過去
FIX 勳章中註冊時間的BUG
FIX 特殊主題插件第二頁修正

FIX 日誌和相冊系統分類調用的問題
FIX 活動報名人數
FIX 去掉給導出加的轉碼UCS-2LE
FIX 任務勳章重複獎勵
FIX 修改刪除主題時的bug

FIX 修改統計，審核的帖子回復都算入統計中
FIX 提示增加到版塊列表中
FIX 刪除冗余代碼
FIX 修改積分BUG當清空時恢復默認積分策略
FIX 登陸用戶去重

FIX 刪除封面圖片
FIX 完善用戶名相關的Ajax錯誤提示
FIX 當沒有找到二級域名根的時候，讓其跳一次
FIX html2bbcode的<p>xx</p>轉換為xx<br />
FIX 關閉的用戶欄目無法完成任務

FIX 版塊單獨設置積分規則
FIX 論壇熱點緩存問題修正
FIX 頻道在導航中禁止修復名稱
FIX 語言包，及分類顯示問題
FIX 排行榜洩露隱身

FIX 重建貼數不包含點評
FIX 遊客可發草稿的bug
FIX 版塊合併使用的加號合併數組導致
FIX 財付通升級，無法測試
FIX 會員lastip 轉換錯誤

FIX 修改正表情解析引發的問題
FIX 修正不允許發HTML的時候嚴格去掉所有關於HTML事情的動作
FIX 關閉站點+驗證碼的情況下的BUG
FIX 獲取指定帖子、主題時取消回收站、待審核等類型限制
FIX 群組發帖js錯誤

FIX member_count 表不存在的時候 uid 字段返回值被清空
FIX 群組瀏覽權限和待審核的邏輯問題
FIX 數據備份多備份了一些表
FIX DIY帖子附件調用的問題
FIX 群組沒有rules了

FIX 恢復點評的彈窗模式
FIX 商品效期顯示修正
FIX 重新設置misc可遊客訪問的頁面
FIX 顏色編輯器彈出層在滾動條拖動時的問題
FIX 用非設置的二級域名訪問時，直接location到默認域名下

FIX 後台版塊上傳banner時不截取，提示兩個寬度
FIX 個人資料項目和隱私判斷衝突修正
FIX 新建模塊時的部分初始化選項不顯示
FIX 趨勢統計關閉後導航不顯示
FIX 分類信息可選項判斷錯誤

FIX 用戶排行榜緩存更新
FIX 統一 版塊積分策略留空為使用全局

+======================================+
   Discuz! X1.5 Release 20101020
+======================================+
FIX 帖子和群組帖子可以推送到帖子模塊和附件模塊
FIX 勳章計劃任務修復
FIX 主題列表修復過濾
FIX 給個人空間主頁開頭，解決排行不扣分的問題
FIX 火狐註冊跳轉referer修改
FIX 附件下載的下載工具支持
FIX 修復 DIY分類信息模板中的圖片項顯示問題。
FIX 加精、置頂等主題設置有效期時，過了有效期後記錄漫遊日誌
FIX 修復 匿名回帖問題
FIX 移動的Fid不對
FIX 版塊存在自定義風格時無法diy
FIX 修復 tab框架中模塊標題樣式問題
FIX 新增複製主題時對分類信息的複製
FIX 修復 匿名帖在文章模式下的問題
FIX 修復後台管理組編輯允許搜索時6個按位與的二進制有錯誤的BUG,
FIX cleanup計劃任務的測試修改
FIX 修復廣場-進入某個模塊帖子列表上方有「精華和推薦」 切換丟失主題並且解決了分頁的問題
FIX 版塊合併未處理主題分類
FIX 修復 頻道不在主導航上顯示時，頻道的二級導航跟主頁一樣
FIX 每個自然月中，相同買家和賣家之間的評價計分最大值 
FIX 修改額外應用數據被隱藏的BUG
FIX 發帖入相冊IE6下兼容性
FIX 名片記錄修正
FIX 全局積分策略與板塊積分策略衝突的問題 
FIX 同一IP在24小時只能註冊XX次 調整
FIX 多版塊搜索FIX
FIX 修復 門戶管理中模塊管理非DIY模塊不顯示
FIX 後台審核發通知修復
FIX 版主可以跨版塊管理「活動帖」內的參與人員名單的BUG。
FIX  每個自然月中，相同買家和賣家之間的評價計分最大值 
FIX 修正明星會員BUG
FIX 修正 管理員刪除遊客貼子會被扣分
FIX 修改多個附件完成後，返回的附件列表沒有排序的問題
FIX 刪除帖子之後，調回到的帖子列表頁，不是原先的頁數了
FIX 文章大圖片居中時在 IE8 下會亂掉
FIX 修復 判斷目錄名重複錯誤
FIX IIS6 rewrite規則修復, 兼容?後參數
FIX 修復 會員數搜索BUG
FIX 修復 評論頁面中發表評論鏈接的問題
FIX 後台用戶搜索 用戶鎖定，視頻認證，頭像
FIX  審核通過分享的feed的用戶顯示錯誤
FIX  導出數據用戶性別數據的處理
FIX 數組參數的處理
FIX 變量未初始化導致刪除的數據不更新
FIX 將漫遊接口版本更改為0.2
FIX 分類信息bug 數字檢查和語言包參數傳遞
FIX IE6下浮動窗口造成瀏覽器非法操作的問題
FIX 修改UC傳遞過來的刪除用戶鏈接錯誤的BUG
FIX 修改認證圖標為空時就不累加前綴
FIX  用戶欄目中多選列表框數據無法保存的問題
FIX  個人空間的自定義裝扮中，頭部文字的顏色設定無效的問題

+======================================+
   Discuz! X1.5 Release 20101001
+======================================+
FIX 部分服務器環境無法安裝問題
FIX 版塊的權限控制中上傳圖片權限的問題
FIX 後台主題回收站操作人不準確
FIX ie瀏覽器下 diy的投票 點擊後 出現無法顯示網頁或者提示php虛擬內存不足
FIX 上傳flash廣告無效，前台有廣告位但是地址為空
FIX 找回密碼頁面，賬號、郵箱不對時系統提示錯誤
FIX 設置論壇簽名的時候[b]標籤問題
FIX 後台--用戶--用戶欄目 編輯順序後無變化
FIX 同一IP限制24小時註冊次數問題
FIX 後台積分變動記錄錯位
FIX 從7.2轉換至X1.5，收藏數據丟失問題
FIX 無圖片的商品在DIY調用時，圖片路徑解析不正確
FIX 熱門關鍵詞搜索問題
FIX IE8下點擊添加應用後無反應，頁面空白
FIX 分類信息字段為多選(checkbox)不能正常參與搜索
FIX 屏蔽好友動態設置無效
FIX 帖子生成文章的[align=]不解析問題了也存在於群組帖子中
FIX 升級成1.5之後的部分網站的feed不能解析{subject}等
FIX 前台修改版塊規則 會清空版塊簡介
FIX PHP v4.3.9版本無法DIY
FIX 居住地選項四級是空的，活動貼設置必選會出錯
FIX 取消風格編輯裡的閱讀區域寬度設置
FIX 版塊名稱8個字 包含<符號 無法顯示完整
FIX 頭像任務無法完成
FIX 邀請註冊記錄無法刪除
FIX 全新安裝或升級上來的站點，優化設置裡廣場的描述有問題
FIX 在線會員時間顯示，隱身時始終顯示8:00
FIX 帖子瀏覽數延時更新問題
FIX 頁頭積分可隱藏
FIX 修復用戶模塊權限判斷
FIX 修改邀請碼提示框
FIX 常量 IMGDIR 替換為 $_G['style']['imgdir']
FIX 編輯器所見即所得模式下的默認字體大小隨著 {MSGFONTSIZE} 的值走
FIX 廣告 -> 格子廣告內容居中顯示
FIX 復選框分類信息字段搜索顯示問題
FIX 其他更多細節調整不一一列出 ...

+======================================+
   Discuz! X1.5 Release 20100920
+======================================+

[風格模板]
重構 風格模板以及CSS，讓風格製作更簡易
降低 頁面數據輸出量，提升頁面渲染速度
調整 各功能顯示細節，增大提示信息的友好度
改善 直接下載收費附件的用戶體驗
改善 趨勢統計功能用戶體驗改進
改進 論壇提示系統的顯示
優化 整站顏色選擇器的JS

[程序功能]
增強 任務系統，有獎任務完成後可自動領取獎勵
增強 批量上傳圖片，可選擇相冊分類
增強 邀請註冊碼功能，融合論壇和空間的邀請機制
增強 門戶發佈文章以及相關文章、封面圖片

增強 DIY 模塊擴展機制，增加更多調用數據種類
增強 門戶模式看帖同時提供論壇模式看帖的鏈接
增強 記錄可以嵌入發佈表情、鏈接及圖片
增強 [分享功能]分享次數紀錄、同一分享去重
增加 「一周熱門點擊的文章」的模塊

增強 文章增加多標籤，便於聚合
增強 模塊數據快速調整顯示順序
增強 註冊郵箱驗證郵件內容、更改郵箱郵件內容、激活鏈接
增強 門戶文章分類 增加排序功能
增強 論壇編輯器，提供簡潔、高級視圖

新增 對推送到文章裡面的帖子，顯示推送標誌
新增 板塊日發帖統計，可支持月度報表
新增 自定義Discuz！代碼支持用戶組權限控制
新增 論壇名片功能，在頭像、用戶名處可顯示用戶名片和常用操作
恢復 論壇的archiver 功能
恢復 論壇的統計 功能
恢復 論壇的在線時間統計 功能

新增 [版塊帖子列表]標題支持html（或者可以插入廣告）
新增 用戶視頻認證在名片裡面的顯示
新增 實名認證審核平台
新增 未通過審核的帖子對發帖者可見
新增 前台帖子的【評分】 顯示評分區間、今日剩餘評分數
新增 [我的中心]我的主題增加「我的點評」
新增

增強 活動貼 對參與者批量發通知
增強 活動帖 參與活動可以關聯繫統需要內置資料項目：聯繫人、qq、電話
增強 活動帖 讓參與者支付一定積分才可以參與活動
增強 活動帖 參加活動固定格式
增強 活動貼 審核不通過的流程改進
增強 活動帖 參與者信息只對發起者可見

增強 群組與論壇版塊的關聯改進
增強 非群組成員，在群組內發帖提示
增強 群組首頁、我的群組改版、群組搜索頁調整


[管理功能]

新增 全站導航欄設計，並實現主體功能名字同步
新增 群組的後台批量管理主題
新增 編輯用戶的時候，可以查看該用戶是否已經激活郵箱，並可以進行設置
新增 後台文章評論的批量管理功能

新增 註冊審核]當地IP註冊通過，外地IP需要審核
新增 模塊的權限批量設置、文章分類的權限繼承
新增 斑竹禁止他人發言後，以短消息的方式通知本人
新增 批量設置管理組功能
新增 用戶資料的報表導出

新增 後台管理常用鏈接，以及自定義管理鏈接

增強 版塊圖標、圖標大小設置改進
增強 [帖子審核]後台審核功能改進
增強 [舉報]對管理員提醒舉報數目的功能
增強 版塊獨立風格、獨立域名設置
增強 友情鏈接，分門戶、論壇兩部分，並支持分組
增強 後台版塊數量多的時候，默認折疊顯示

增強 打開評分最高只能999的上限
增強 門戶/論壇/群組/空間 —— 全局格子廣告
增強 後台搜索用戶後，可以查看用戶發佈的各類信息統計，並可以清理數據
增強 [帖子審核]單個處理模式，關鍵字高亮，IP直接顯示為地址

改進 站長瀏覽用戶可直接進入個人資料頁面
改進 批量刪回帖，默認增加時間限制，防止服務器掛掉
改進 [用戶管理]用戶搜索的效率問題

[系統優化]
優化 點擊數延遲更新及內存機制
規劃 X系統錯誤日誌，增加去重以及程序追蹤信息
新增 社區系統未知漏洞防禦體系
優化 安裝程序，降低內存佔用
優化 模塊模板中的語法改進
優化 各頁面標題的seo優化和重建，門戶、論壇、群組、家園，支持自定義標題、關鍵字、描述
優化 社區郵件發送系統，支持多個smtp服務器輪詢

... 更多詳細改進請見我們的開發日誌
 http://www.discuz.net/dev.php

+--------------------------------------+
往日版本( Old Vision )
+--------------------------------------+
Discuz! X1 Beta Release 20100501
Discuz! X1 Release 20100518
Discuz! X1 Release 20100601
Discuz! X1 Release 20100613
Discuz! X1 Release 20100723
Discuz! X1.5RC Release 20100901
